{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<div class="container">
	<div class="row justify-content-md-center">
		<div class="shadow p-3 mb-5 bg-body rounded mt-5" style="width: 500px;">
			<form method="post">
			    {% if error %}
			        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
			    {% endif %}

			    {% if app.user %}
			        <div class="mb-3">
			            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
			        </div>
			    {% endif %}

				<div class="col col-sm-12 col-md-12 col-lg-12 text-center pb-3">
					<h2><i>Pizza Place Admin</i></h2>
				</div>
			    <label for="inputUsername">Username</label>
			    <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control mb-4" autocomplete="username" required autofocus>
			    <label for="inputPassword">Password</label>
			    <input type="password" name="password" id="inputPassword" class="form-control mb-4" autocomplete="current-password" required>

			    <input type="hidden" name="_csrf_token"
			           value="{{ csrf_token('authenticate') }}"
			    >
				<div class="col col-sm-12 col-md-12 col-lg-12 text-center pb-3">
				    <button class="btn btn-lg btn-primary" type="submit">
				        Sign in
				    </button>
				</div>
			</form>
		</div>
	</div>
</div>
{% endblock %}
